<div class="client-panel client-addresses box">
  <?= \front\view\ShopClient::client_menu( [
            'active_page' => 'addresses'
          ] );?>
  <div class="box-title">
    <?= ucfirst( \S::lang( 'adresy-do-wysylki' ) );?>
  </div>
  <a href="/panel-klienta/nowy-adres" class="btn btn-success btn-big"><?= ucfirst( \S::lang( 'dodaj-nowy-adres' ) );?></span></a>
  <? if ( is_array( $this -> addresses ) and count( $this -> addresses ) ):?>
    <div class="addresses">
      <? foreach ( $this -> addresses as $address ):?>
        <div class="address">
          <?= $address['name'] . ' ' . $address['surname'];?>
          <? if ( $address['firm'] ) echo '<br/>' . $address['firm'];?>
          <br/><?= $address['street'];?>
          <br/><?= $address['postal_code'] . ' ' . $address['city'];?>
          <br/><?= $address['phone'];?>
          <div class="buttons">
            <a href="/panel-klienta/edytuj-adres/<?= $address['id'];?>"><?= \S::lang( 'zmien' );?></a>
            <a href="/panel-klienta/usun-adres/<?= $address['id'];?>" class="btn-delete text-danger"><?= \S::lang( 'usun' );?></a>
          </div>
        </div>
      <? endforeach;?>
    </div>
  <? endif;?>
</div>
<script class="footer" type="text/javascript">
  $( function()
  {
    $( 'body' ).on( click_event, '.address .btn-delete', function(e)
    {
      e.preventDefault();

      var url = $( this ).attr( 'href' );

      $.alert(
      {
        title: '<?= ucfirst( \S::lang( 'potwierdz' ) );?>',
        content: '<?= \S::lang( 'potwierdz-usuniecie-adresu' );?>',
        type: 'orange',
        closeIcon: true,
        closeIconClass: 'fas fa-close',
        typeAnimated: true,
        animation: 'opacity',
        useBootstrap: false,
        theme: 'modern',
        autoClose: 'cancel|10000',
        icon: 'fas fa-exclamation',
        buttons:
        {
          confirm:
          {
            text: '<?= \S::lang( 'usun' );?>',
            btnClass: 'btn-orange',
            keys: ['enter'],
            action: function()
            {
              document.location.href = url;
            }
          },
          cancel:
          {
            text: '<?= \S::lang( 'zamknij' );?>',
            btnClass: 'btn-blue',
            action: function() {}
          }
        }
      });
      return false;
    });
  });
</script>